Skip to main content
GET
/
gitea-integration
/
project
/
{projectId}
Get Gitea Integration
curl --request GET \
  --url https://cloud.kaneo.app/api/gitea-integration/project/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "projectId": "<string>",
  "baseUrl": "<string>",
  "repositoryOwner": "<string>",
  "repositoryName": "<string>",
  "maskedAccessToken": "<string>",
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "webhookUrl": "<string>",
  "webhookSecret": "<string>",
  "branchPattern": "<string>",
  "commentTaskLinkOnGiteaIssue": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Response

200 - application/json
object | null

Gitea integration details

id
string
required
projectId
string
required
baseUrl
string
required
repositoryOwner
string
required
repositoryName
string
required
maskedAccessToken
string
required
isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
webhookUrl
string
webhookSecret
string
branchPattern
string